Package org.opensaml.soap.soap11.impl

# Class FaultBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<Fault>
org.opensaml.soap.soap11.impl.FaultBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<Fault>`, `SOAPObjectBuilder<Fault>`

public class FaultBuilder extends AbstractXMLObjectBuilder<Fault> implements SOAPObjectBuilder<Fault>
Builder of `FaultImpl` objects.

## Constructor Summary

Constructors
Constructor
Description
`FaultBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Fault`
`buildObject()`
Creates an envelope object with the default SOAP 1.1 namespace, prefix and "Fault" as the element local name.
`Fault`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### FaultBuilder

public FaultBuilder()

## Method Details

### buildObject

@Nonnull public Fault buildObject()
Creates an envelope object with the default SOAP 1.1 namespace, prefix and "Fault" as the element local name.

Specified by:
  `buildObject` in interface `SOAPObjectBuilder<Fault>`
Returns:
  the build Envelope object

### buildObject

@Nonnull public Fault buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<Fault>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<Fault>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject